## org.w3c.jigsaw.https
Class SSLAdapter

    java.lang.Object
      |
      +--org.w3c.jigsaw.https.SSLAdapter

public class SSLAdapter
extends java.lang.Object

Constructor Summary
`SSLAdapter(httpd server)` constructor for a TLS support adapter

Method Summary
`static java.lang.Integer` `getKeySize(java.lang.String algorithm)` An ugly way to compute the key size (to be improved)
`java.net.URL` `getURL()` method for supplying a daemon uri
`void` `initializeProperties()` method for initializing the properties of a daemon
`void` `perform(RequestInterface req)` method for preparing a reply interface for a request
`boolean` `sslEnabled()` method for indicating TLS support

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLAdapter

    public SSLAdapter(httpd server)

  constructor for a TLS support adapter
  Parameters:
    `server` - reference to the daemon in question

Method Detail

### getKeySize

    public static final java.lang.Integer getKeySize(java.lang.String algorithm)

  An ugly way to compute the key size (to be improved)
  Parameters:
    `the` - algorithm name
  Returns:
    the key size as an integer object

### initializeProperties

    public void initializeProperties()
                              throws ServerHandlerInitException

  method for initializing the properties of a daemon
  Throws:
    ServerHandlerInitException - thrown if initialization fails

### perform

    public void perform(RequestInterface req)
                 throws ProtocolException

  method for preparing a reply interface for a request
  Parameters:
    `req` - the current request to be handled
  Throws:
    ProtocolException - thrown if the request url is malformed

### getURL

    public java.net.URL getURL()

  method for supplying a daemon uri
  Returns:
    uri of the daemon in question

### sslEnabled

    public boolean sslEnabled()

  method for indicating TLS support
  Returns:
    flag for indicating TLS support enabled